/*
 * Created on Feb 2, 2004
 */
package util;

/**
 * Supports basic condition checking and error reporting methods.
 */
public class Assert {

	/**
	 * Outputs the message into the error stream followed by the stack trace.
	 * 
	 * @param message
	 */
	public static void report(String message) {
		System.err.println(message);
	}

	/**
	 * Outputs the message into the error stream followed by the stack trace.
	 * 
	 * @param message
	 */
	public static void report(Exception exception) {
		exception.printStackTrace();
	}

	/**
	 * Checks the condition, and reports the message iff the condition does not
	 * hold.
	 * 
	 * @param condition
	 * @param message
	 * @return condition
	 * @see util.Assert#report(String message)
	 */
	public static boolean check(boolean condition, String message) {
		if (condition)
			return true;
		else {
			report(message);
			return false;
		}
	}

	/**
	 * Checks the condition, and iff the condition does not hold it reports the
	 * message and exits the application.
	 * 
	 * @param condition
	 * @param message
	 */
	public static void barf(boolean condition, String message) {
		if (!condition) {
			report(message);
			System.exit(0);
		}
	}
}